Class UmlBaseExpansionNode

Declaration :

- C++ : class UmlBaseExpansionNode : public UmlActivityObject
- Java : abstract class UmlBaseExpansionNode extends UmlActivityObject

Directly inherited by : UmlExpansionNode

Artifact : UmlBaseExpansionNode

Operation create

returns a new expansion node named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlExpansionRegion, inout s : str) : UmlExpansionNode, exceptions : RuntimeException
- C++ : public: static UmlExpansionNode * create(UmlExpansionRegion * parent, const char * s)
- Java : public static UmlExpansionNode create(UmlExpansionRegion parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseExpansionNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseExpansionNode(in id : item_id, in s : string) :
- C++ : protected: UmlBaseExpansionNode(void * id, const QCString & s) : UmlActivityObject(id, s)
- Java : protected UmlBaseExpansionNode(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , create , defined_ , deleteIt , description , getIdentifier , identifier_ , inState , isControlType , isMarked , isToolRunning , isWritable , javaSelection , kind , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_InState , set_IsControlType , set_isMarked , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload